//
// zedit - simple text editor
// Copyright (C) 2004 Bryan Beicker <tokiko@tokiko.net>
//
// This file is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License (Version 2)
// as published by the Free Software Foundation.
//
// This file is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//

#ifndef MAIN_H
#define MAIN_H

#define VERSION			"0.2.0"

// prototypes
GtkWidget * about_create();
void about_load();
gboolean about_unload(GtkWidget *, GdkEvent *, gpointer);
void about_destroy(GtkWidget *, gpointer);

GtkWidget * edit_create();
gboolean edit_unload(GtkWidget *, GdkEvent *, gpointer);
void edit_destroy(GtkWidget *, gpointer);
gboolean new_button_click(GtkWidget *, GdkEventButton *, gpointer);
gboolean open_button_click(GtkWidget *, GdkEventButton *, gpointer);
gboolean save_button_click(GtkWidget *, GdkEventButton *, gpointer);
gboolean save_as_button_click(GtkWidget *, GdkEventButton *, gpointer);
gboolean about_button_click(GtkWidget *, GdkEventButton *, gpointer);
void buffer_change(GtkEntry *, gpointer);
void open_file(char *);


// globals
GtkWidget * edit;
GtkWidget * version;
GtkWidget * view;
GtkTextBuffer * buffer;
gchar * file_name;
int dirty;

#endif
